/******************************************************************************/
/*
                                  inetmail.h
*/
/******************************************************************************/

#ifndef INCLUDE_INETMAIL_H
#define INCLUDE_INETMAIL_H

#include "request.h"

/* only search the first number of lines for inidcations of RFC822 header */
#define INETMAIL_RFC_SEARCH_MAX 30

/* forward reference */
typedef struct STRUCT_VMS_MAIL_MSG VMS_MAIL_MSG;

/**************/
/* prototypes */
/**************/

int InetMailGetField (char*, int, char*, int);
int InetMailParseField (char*);
BOOL InetMailParseHeader (VMS_MAIL_MSG*);
int InetMailParseMimeHeader (MIME_DATA*, char*, char*);
int InetMailParseMimeAttrib (MIME_DATA*, char*, char**, int*);
char* InetMailRfcVmsDate (char*);
char* InetMailStripTransport (char*);
int InetMailFoldRfc822Header (char*, int, char*, char*);

#endif /* INCLUDE_INETMAIL_H */

/******************************************************************************/

